Redeem Cross Selling Offer

Redeem a partner brand offer using wallet points, i.e. coins are deducted from the wallet and a public coupon is generated. Use the publicoffer _id from brandoffers of Fetch Aggreegated Offers. Relevant only for open loop loyalty. Read only api key is sufficient. Refer to this article for the authentication flow when calling this API from a storefront or client side environment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

(Required) (This needs to be publicoffers id value) (Use the id from brandoffers items of Fetch Aggreegated Offers)

string

(One of leadid, customer_id is required) (This needs to be leads id value)

string

(One of lead_id, customer_id is required) (Minimum length is 8) (Maximum length is 128) (This needs to be leads customer_id value)

Headers
string
enum
required

(Required) (This can only be one of mobile,web) (web for browsers and servers, mobile for native apps)

Allowed:
string
required

(Required) (This needs to be your apikey)

string
required

(Required) (This needs to be your workspaceid)

string

(Required when using a storefront read only api key, not needed with a server api key) (This needs to be the lead_token of the customer, a 1 hour JWT returned by Get User via the x-leaddigest flow or generated on your server with your api signing secret) (When passed, the customer is taken from the token and any lead_id or customer_id in the request is ignored) (Learn more about authentication here)

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json